Subject: Re: Security with XML vs ASN.1. Was: Should PKIX protocols support XML well

From: Paul Koning <[email-masked]>
Date: Thu, 16 Nov 2000 09:43:35 -0500 (EST)

>>>>> "Anders" == Anders Rundgren <[email-masked]> writes:

 >>  If the schema is already defined before you discover the need to
 >> implement the restriction, don't you have the same problem?

 Anders> The app-developer community (not PKIX) defines in (an
 Anders> hopefully) collaborative way *exactly* what their particular
 Anders> app needs so I really don't understand the question.

Ok, if the app developer community, as opposed to the standards
community, does these tweaks, how is that different from the app
developer community taking an ASN.1 definition and tweaking it to
their needs?

Both have this flexibility.  It doesn't make sense to argue that XML
is superior by assuming people will use that flexibility only with XML
and avoid using it with ASN.1.

      paul

---

From: "Anders Rundgren" <[email-masked]>
Date: Thu, 16 Nov 2000 16:17:09 +0100

> developer community taking an ASN.1 definition and tweaking it to

We can probably go on forever, but using app-schemas you would not "tweak"
anything as there is nothing to tweak.  You design an app-unique schema.

ASN.1 has no *defined* schema mechanism.

Paul, apparently ASN.1-gurus feels that they have a superior solution and
the XML-zelots as well.  The XML-zelots have (at least) the market on their side.

I have been adviced to start a new WG to avoid further clashes or going for
two solutions for every protocol.  What do U think?

Anders